Summary: Service Check Acceptor.
Name: nsca
Version: %{op5version}
Release: %{op5release}%{?dist}
Epoch: 1
License: GPL+
Group: op5/monitor
URL: http://sourceforge.net/projects/nsca
Source0: %name-%version.tar.gz
BuildRequires: libmcrypt-devel
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: libmcrypt
%if 0%{?suse_version}
# SLES-specific stuff
Requires: sysconfig
%else
# Common RHEL stuff
Requires: initscripts
%if 0%{?rhel} >= 6
# RHEL6-specific stuff
%else
# RHEL5-specific stuff
%endif
%endif

%description
%name is a passive service check acceptor for op5 Monitor. It supports
several different kinds of encryption and authentication, and provides
a possibility to set up monitoring in a secure and distributed manner.

%package test
Summary: Test package for nsca
Group: op5/Monitor
Requires: perl(Test::More)
Requires: perl(Class::Struct)
Requires: perl(Clone)
Requires: perl(Parallel::Forker)

%description test
provides test packagesfor nsca

%package -n sendnsca
Summary: Service Check submitter.
Group: op5/Monitor
Obsoletes: nsca-send <= 2.7.2-1

%description -n sendnsca
%name provides easy and secure means of transmitting check results from
any host to a remote location. It must be installed on all remote clients
in a distributed monitoring setup.


%prep
%setup -q


%build
%configure
%__make %{?_smp_mflags}


%install
rm -rf %buildroot

# %%makeinstall doesn't work, so we do it manually.
mkdir -p %buildroot{%_sbindir,%_bindir,%_sysconfdir/init.d}
mkdir -p %buildroot/opt/monitor/op5/nsca
cp -a nsca_tests %buildroot/opt/monitor/op5/nsca/nsca_tests
install -m 755 src/nsca %buildroot%_sbindir
install -m 755 src/send_nsca %buildroot%_bindir
# install -m 644 %_sourcedir/{nsca,send_nsca}.cfg %buildroot%_sysconfdir
install -m 644 op5build/send_nsca.cfg %buildroot%_sysconfdir
install -m 644 op5build/nsca.cfg %buildroot%_sysconfdir
install -m 700 op5build/nsca.init %buildroot/etc/init.d/%name


%files
%defattr(-,root,root,-)
%_sbindir/nsca
%_sysconfdir/init.d/%name
%config(noreplace) %verify(not md5 size mtime) %_sysconfdir/nsca.cfg
# %doc README SECURITY LEGAL # nsca.xinetd
%exclude /opt/monitor/op5/nsca/nsca_tests

%files test
%defattr(-,root,root,-)
/opt/monitor/op5/nsca/nsca_tests

%files -n sendnsca
%defattr(-,root,root,-)
%_bindir/send_nsca
%config(noreplace) %verify(not size md5 mtime) %_sysconfdir/send_nsca.cfg
%doc README SECURITY LEGAL


%post
if [ $1 -eq 1 ] ; then
/sbin/chkconfig --add nsca
/etc/init.d/nsca start
fi

%preun
if [ $1 -eq 0 ] ; then
/etc/init.d/nsca stop
/sbin/chkconfig --del nsca
fi

#%clean
#rm -rf %buildroot


%changelog
* Mon Nov 21 2005 Peter Ostlin <peter@op5.se> 
- Updated release number

* Mon Apr 25 2005 Andreas Ericsson <ae@op5.se> 2.4-owl0.2
- Enforced Owl's specfile conventions.
- Major cleanups.

* Sat Sep 25 2004 Andreas Ericsson <ae@op5.se> 2.4-owl0.1
- Initial package creation.
